Loading...
Searching...
No Matches
proto_chat_entry Struct Reference

Represents an entry containing information that must be supplied by the user when joining a chat. More...

`#include <prpl.h>`

## Data Fields

const char * | label
| User-friendly name of the entry.
const char * | identifier
| Used by the PRPL to identify the option.
gboolean | required
| True if it's required.
gboolean | is_int
| True if the entry expects an integer.
int | min
| Minimum value in case of integer.
int | max
| Maximum value in case of integer.
gboolean | secret
| True if the entry is secret (password)

## Detailed Description

Represents an entry containing information that must be supplied by the user when joining a chat.

Definition at line 104 of file prpl.h.

## Field Documentation

## identifier

const char* proto_chat_entry::identifier

Used by the PRPL to identify the option.

Definition at line 106 of file prpl.h.

## is_int

gboolean proto_chat_entry::is_int

True if the entry expects an integer.

Definition at line 108 of file prpl.h.

## label

const char* proto_chat_entry::label

User-friendly name of the entry.

Definition at line 105 of file prpl.h.

## max

int proto_chat_entry::max

Maximum value in case of integer.

Definition at line 110 of file prpl.h.

## min

int proto_chat_entry::min

Minimum value in case of integer.

Definition at line 109 of file prpl.h.

## required

gboolean proto_chat_entry::required

True if it's required.

Definition at line 107 of file prpl.h.

## secret

gboolean proto_chat_entry::secret

True if the entry is secret (password)

Definition at line 111 of file prpl.h.

The documentation for this struct was generated from the following file:

- prpl.h